> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve dataset



## OpenAPI

````yaml api-reference/openapi.json post /{character_id}/dataset/approve
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/dataset/approve:
    post:
      tags:
        - Character Dataset
      summary: Approve dataset
      operationId: approveDataset
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Dataset approved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetApproveResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    DatasetApproveResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        approved_images:
          type: integer
        next_step:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````